Bug 11061 - Koha::Calendar::_mock_init is unused
Summary: Koha::Calendar::_mock_init is unused
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 9209
Blocks: 11112
  Show dependency treegraph
 
Reported: 2013-10-16 11:54 UTC by Jonathan Druart
Modified: 2015-06-04 23:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11061: Koha::Calendar::_mock_init is unused (1.73 KB, patch)
2013-10-16 11:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11061: Koha::Calendar::_mock_init is unused (1.93 KB, patch)
2013-10-27 02:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 11061: Koha::Calendar::_mock_init is unused (2.03 KB, patch)
2013-11-22 18:24 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-10-16 11:54:51 UTC
Bug 9209 removes the only occurrence to Koha::Calendar::_mock_init
The routine can be removed.
Comment 1 Jonathan Druart 2013-10-16 11:56:35 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2013-10-27 02:37:25 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-11-22 18:24:06 UTC
Created attachment 23101 [details] [review]
Bug 11061: Koha::Calendar::_mock_init is unused

Bug 9209 removes the only occurrence to Koha::Calendar::_mock_init
The routine can be removed.

Test plan:
prove t/Calendar.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
I left that routine because I planned to do a follow-up for that so the
Calendar patch series was pushed soon. Nice catch Jonathan, works as expected.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, t and xt
Comment 4 Galen Charlton 2013-11-23 19:27:47 UTC
Pushed to master.  Thanks, Jonathan!
Comment 5 Fridolin SOMERS 2013-12-13 08:14:34 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1
Comment 6 Tomás Cohen Arazi 2013-12-16 13:41:15 UTC
This patch has been pushed to 3.12.x, will be in 3.12.8.

Thanks Jonathan!